
/**
 * Project Name:tuia-youtui-web<br>
 * File Name:GetActivitysReq.java<br>
 * Package Name:com.duiba.tuia.youtui.web.model.req<br>
 * Date:2017年3月20日下午6:44:23<br>
 * Copyright (c) 2017, duiba.com.cn All Rights Reserved.<br>
 *
 */

package com.duiba.tuia.youtui.web.model.req;

import io.swagger.annotations.ApiModel;


/**
 * 今日头条新闻点击上报参数
 * ClassName: TclickReq <br/>
 * date: 2017年8月20日 下午6:44:23 <br/>
 *
 * @author cdm
 * @version 
 * @since JDK 1.6
 */
@ApiModel
public class TclickReq {


    private String client_at;// 事件发 时间:秒级时间戳

    private Long group_id ; //  章 id,即 group_id

    private String type;// 告上报时为 ad;新闻上报时为 news

    private String  category;//新闻类别

    private String label; // 频道标识  可选值有 show、click 。 告展示时值 为:show; 点击时为:click: 必填

    private Long  consumerId;//用户ID

    private Long appId;//appId

    private Integer pageId;//页面id

    public Long getConsumerId() {
        return consumerId;
    }

    public void setConsumerId(Long consumerId) {
        this.consumerId = consumerId;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getClient_at() {
        return client_at;
    }

    public void setClient_at(String client_at) {
        this.client_at = client_at;
    }

    public Long getGroup_id() {
        return group_id;
    }

    public void setGroup_id(Long group_id) {
        this.group_id = group_id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Integer getPageId() {
        return pageId;
    }

    public void setPageId(Integer pageId) {
        this.pageId = pageId;
    }
}

